Cyberduck Mountain Duck CLI

#7918 closed defect (duplicate)

Hangs loading bookmarks

Reported by: Gscot Owned by:
Priority: normal Milestone: 4.5.2
Component: core Version: 4.4.4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

I upgraded from 4.4.3 to 4.4.4 and found that when I start the program it gives me the whirling circle of dots. This is not a beach ball mind you, but the rotation image you see on start-up/shut-down of the Mac.

It continues to do this forever. I've tried to find a bookmark, there is none. I try to initiate a new bookmark but it does not respond. I got my old 4.4.3 version from back up and am using this again.

-- gerry

Change History (10)

comment:1 Changed on Apr 29, 2014 at 8:13:20 PM by dkocher

  • Summary changed from Cyberduck hangs on start to Hangs loading bookmarks

comment:2 Changed on Apr 29, 2014 at 8:13:30 PM by dkocher

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:3 Changed on Apr 30, 2014 at 8:00:01 AM by dkocher

Apr 29 07:44:32 Ducks.local Cyberduck[20507]: [background-1] FATAL ch.cyberduck.ui.AbstractController - Unhandled exception running background task null
		at ch.cyberduck.core.Host.<init>(Host.java:158)
		at ch.cyberduck.core.Host.<init>(Host.java:132)
		at ch.cyberduck.core.serializer.HostDictionary.deserialize(HostDictionary.java:46)
		at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:45)
		at ch.cyberduck.core.serializer.impl.HostPlistReader.deserialize(HostPlistReader.java:30)
		at ch.cyberduck.core.serializer.impl.PlistReader.read(PlistReader.java:72)
		at ch.cyberduck.core.AbstractFolderHostCollection.load(AbstractFolderHostCollection.java:110)
		at ch.cyberduck.ui.cocoa.MainController$11.run(MainController.java:930)
		at ch.cyberduck.ui.cocoa.MainController$11.run(MainController.java:927)
		at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:119)
		at ch.cyberduck.ui.AbstractController$BackgroundCallable.call(AbstractController.java:159)
		at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:57)

comment:4 Changed on Apr 30, 2014 at 8:03:39 AM by dkocher

It looks like the installation of version 4.4.4 of Cyberduck with MacUpdate Desktop failed and you are still runnning an older version. Can you try to manually download from https://update.cyberduck.io/Cyberduck-4.4.4.zip.

comment:5 Changed on May 11, 2014 at 6:47:45 PM by dkocher

  • Milestone set to 4.4.5
  • Resolution set to worksforme
  • Status changed from new to closed

comment:6 Changed on Jul 29, 2014 at 1:18:05 PM by dkocher

  • Milestone changed from 4.4.5 to 4.5.2
  • Resolution worksforme deleted
  • Status changed from closed to reopened

The default protocol is possibly overridden to null in your user preferences. Can you try to reset the preferences to factory defaults by entering

defaults delete ch.sudo.cyberduck 

in a Terminal.app window.

comment:7 Changed on Jul 29, 2014 at 1:18:54 PM by dkocher

New ticket in #8115.

comment:8 Changed on Jul 29, 2014 at 1:20:25 PM by dkocher

  • Resolution set to duplicate
  • Status changed from reopened to closed

comment:9 Changed on Jul 29, 2014 at 7:16:31 PM by Gscot

RESOLVED!!!

Can you please try to deinstall both KeyCue and the SIMBL.osax scripting addition. I suspect there is an interoperability issue with these.

Please note I have put these two items back into their prior locations; clearly it was something in the defaults. I snapshotted each page of the preferences before initializing and in comparing I note that the SFTP protocol element was inexplicably assigned to VLC. Additionally, SFTP is the only thing I use in the only bookmark operable.

Thanks so much for your aid!

-- Gerry

comment:10 Changed on Jul 29, 2014 at 7:46:45 PM by dkocher

Great to hear. Can you please attach the preferences file (ch.sudo.cyberduck.plist) that caused the issue. Many thanks.

Note: See TracTickets for help on using tickets.
swiss made software